Bug 3367 - bad string autowrapping
: bad string autowrapping
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdebase-common)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-12 23:22 by
Modified: 2005-09-01 12:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-12 23:22:06
Если при включенном режиме "автоматический перенос строк" редактировать текст,
который уже разбит на строки, то при перестроении абзаца в тексте, находящемся
впереди курсора, "склеиваются" слова, которые были ранее разделены переводом
строки. То есть перевод строки убирается, а пробел вместо него не вставляется.
Ошибка наблюдается на всех kate последние полгода, сейчас её видно в
kdebase-kate-3.1.4-alt5
------- Comment #1 From 2003-12-22 23:35:03 -------
В версии kdebase-kate-3.1.4-alt8 слова склеиваться перестали, зато склеиваются
абзацы. То есть если исходный текст отформатирован на бОльшую длину строки, чем
указано в настройках, то при включении враппинга либо при первом форматировании
строки (зависит от того, что сделано сначала --- загружен текст или переключена
настройка) абзацы, ранее разделённые единичными строками, превращаются в один
текст. Количество пустых строк между абзацами и количество строк в абзаце до
форматирования роли не играют
------- Comment #2 From 2003-12-22 23:39:37 -------
переоткрываю баг, поскольку он оказался поставлен в resolved после commit'а.
или
глюк, или я случайно сместил настройку, когда писал новый комментарий
------- Comment #3 From 2004-03-29 10:52:53 -------
в kde 3.2.1-alt5 баг сохранился.

Сейчас это выглядит так: если выбрать в меню "Объединить строки", то объединение
происходит со слиянием слов, стоявших ранее в конце предыдущей строки и начале
следующей. Пробела между словами, как и раньше, не вставляется
------- Comment #4 From 2004-04-29 13:20:13 -------
перевешено 
------- Comment #5 From 2005-08-10 16:29:59 -------
Вроде все нормально